#
# get-author-list.pl
# Dan Wallach <dwallach@cs.rice.edu>
#
# prints a list of all accepted authors, suitable for dropping into
# some other e-mail program
#
use usenixDB;

usenixDB::readPaperInfo;
usenixDB::readPaperStatus;

foreach my $id (@usenixDB::ids) {
    my $email = $usenixDB::db{$id}{"Email"};
    my $name = $usenixDB::db{$id}{"Name"};
    my $accept = $usenixDB::db{$id}{"Accepted"};
    
    if($accept) {
	$target{"$name <$email>"}++;   # try to remove duplicates
    }
}

foreach $email (sort keys %target) {
    printf "%s\n", $email;
}
